# Poco::Zip

# class AutoDetectStreamBuf

Library: Zip
Package: Zip
Header: Poco/Zip/AutoDetectStream.h

## Description

AutoDetectStreamBuf automatically detects the end of a stream using the Data Descriptor signature.

## Inheritance

Direct Base Classes: Poco::BufferedStreamBuf

All Base Classes: Poco::BufferedStreamBuf

## Member Summary

Member Functions: readFromDevice, writeToDevice

## Constructors

### AutoDetectStreamBuf

AutoDetectStreamBuf(
std::istream & in,
const std::string & prefix,
const std::string & postfix,
bool reposition,
Poco::UInt32 start,
bool needsZip64
);

Creates the AutoDetectStream.

## Destructor

### ~AutoDetectStreamBuf

~AutoDetectStreamBuf();

Destroys the AutoDetectStream.

## Member Functions

### readFromDevice

int readFromDevice(
char * buffer,
std::streamsize length
);

### writeToDevice

int writeToDevice(
const char * buffer,
std::streamsize length
);